Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.deploy
Class WebAppDtdResolver

    java.lang.Object
      org.jasig.portal.container.deploy.WebAppDtdResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

    public class WebAppDtdResolver

extends java.lang.Object
implements org.xml.sax.EntityResolver

Uses a local copy of the DTD which is normally located at http://java.sun.com/dtd/web-app_2_3.dtd. If we don't do this, we are likely to get screwed if the java.sun.com webserver goes down. This actually happened yesterday, March 1, 2004, and it caused the portlet container initialization to hang until it issued a socket connection timeout exception.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net

Constructor Summary
`WebAppDtdResolver()`

Method Summary
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Sets the input source to the dtd normally located at http://java.sun.com/dtd/web-app_2_3.dtd.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppDtdResolver

    public WebAppDtdResolver()

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)

  Sets the input source to the dtd normally located at http://java.sun.com/dtd/web-app_2_3.dtd.

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Parameters:
    `publicId` - the public ID
    `systemId` - the system ID
  Returns:
    an input source based on the web-app dtd

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD